> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tryhikoo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Pages

> Paginated list of indexed pages, with filters on category, health,
errors, warnings, language, and URL/title search.



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/public/indexation/pages
openapi: 3.1.0
info:
  title: Hikoo REST API
  description: >-
    Programmatic access to your Hikoo data: citations, prompts, competitors,
    audits, health and more. Authenticate with a personal API key
    (`Authorization: Bearer <key>`) created from the dashboard settings.
  version: 1.0.0
servers:
  - url: https://api.tryhikoo.com
security:
  - apiKey: []
paths:
  /api/v1/public/indexation/pages:
    get:
      tags:
        - Indexation
      summary: List Pages
      description: |-
        Paginated list of indexed pages, with filters on category, health,
        errors, warnings, language, and URL/title search.
      operationId: list_pages_api_v1_public_indexation_pages_get
      parameters:
        - name: category
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/WebsiteAuditPageCategory'
              - type: 'null'
            title: Category
        - name: health_passed
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Health Passed
        - name: has_errors
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Has Errors
        - name: has_warnings
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Has Warnings
        - name: language
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Language
        - name: search
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Search
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 200
            minimum: 1
            default: 50
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
            title: Offset
        - name: website_id
          in: query
          required: true
          schema:
            type: integer
            description: Target website id
            title: Website Id
          description: Target website id
        - name: authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Bearer <api_key>
            title: Authorization
          description: Bearer <api_key>
        - name: X-MCP-Secret
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Mcp-Secret
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PagesListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    WebsiteAuditPageCategory:
      type: string
      enum:
        - global
        - home_page
        - blog_post
        - blog_list_page
        - service_page
        - product_page
        - pricing_page
        - landing_page
        - docs_page
        - knowledge_base_article
        - faq_page
        - about_page
        - contact_page
        - checkout_page
        - other
        - default
        - unreachable
        - case_study
        - guide
        - product_list_page
        - cart_page
        - legal_page
        - auth_page
        - category_page
        - search_page
        - utility_page
        - glossary_page
        - comparison_page
        - use_case_page
        - ecommerce_product_page
      title: WebsiteAuditPageCategory
    PagesListResponse:
      properties:
        pages:
          items:
            $ref: '#/components/schemas/WebsitePageListItemSchema'
          type: array
          title: Pages
        total:
          type: integer
          title: Total
        limit:
          type: integer
          title: Limit
        offset:
          type: integer
          title: Offset
      type: object
      required:
        - pages
        - total
        - limit
        - offset
      title: PagesListResponse
      description: Response for paginated pages list.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    WebsitePageListItemSchema:
      properties:
        id:
          type: integer
          title: Id
        url:
          type: string
          title: Url
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
        language:
          anyOf:
            - type: string
            - type: 'null'
          title: Language
        category:
          $ref: '#/components/schemas/WebsiteAuditPageCategory'
        category_source:
          $ref: '#/components/schemas/PageCategorySource'
        health_check_passed:
          type: boolean
          title: Health Check Passed
        error_count:
          type: integer
          title: Error Count
          default: 0
        warning_count:
          type: integer
          title: Warning Count
          default: 0
        last_crawled_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Crawled At
      type: object
      required:
        - id
        - url
        - category
        - category_source
        - health_check_passed
      title: WebsitePageListItemSchema
      description: Lightweight schema for listing pages.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    PageCategorySource:
      type: string
      enum:
        - auto_heuristic
        - auto_llm
        - manual
      title: PageCategorySource
      description: Source of the page category classification
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      description: Personal API key created in the dashboard (Settings > API keys).

````